//======================================================== IBJprf.h
//
// Copyright Ingenieurbro Janicke, Dunum, Germany, 2000-2010
//
// 1-dim. boundary layer model
// last change: 2010-11-10 uj
//
//==================================================================

#define  PRF_FU    2.5
#define  PRF_FV    2.0
#define  PRF_FW    1.3
#define  PRF_FFU   0.17
#define  PRF_FFV   0.17
#define  PRF_FFW   0.13
#define  PRF_PS    4.7
#define  PRF_PN    1.0
#define  PRF_PL    15.0
#define  PRF_KAPPA 0.4
#define  PRF_ALPHA 0.3
#define  PRF_FCOR  1.e-4
#define  PRF_TMPGRADIENT -0.00976656
#define  PRF_GRAV  9.8066
#define  VDI_EX    1.0
#define  VDI_C0    5.7

extern char *PrfVersion;

float PrfGetTmpKTA(float z, float h0, float t0, float u10, int kl) ;
float PrfGetTmp(float z, float lm, float ust, float z0, float tmp, float theta0);
float PrfGetU(float z, float lm, float hm, float ust, float z0, float interval);
float PrfGetSigU(float z, float lm, float hm, float ust, float z0, float interval);
float PrfGetSigV(float z, float lm, float hm, float ust, float z0, float interval);
float PrfGetSigW(float z, float lm, float hm, float ust, float z0, float interval);
float PrfGetKU(float z, float lm, float hm, float ust, float z0, float interval);
float PrfGetKV(float z, float lm, float hm, float ust, float z0, float interval);
float PrfGetKW(float z, float lm, float hm, float ust, float z0, float interval);
float PrfGetRa(float h, float lm, float hm, float z0);
float PrfGetHM(int km, float lm, float ust);
void  PrfSetKappa(float kappa);
void  PrfSetD0(float d0);
void  PrfSetHa(float ha);
void  PrfSetRa(float ra);
void  PrfSetBeta(float beta);
void  PrfSetVersion(int version);
int   PrfGetVersion();
int   PrfGetStability( float z0, float *_lm, int *_km );
char *PrfGetPrgVersion();
